- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TApplicationException
TConfigurationException
TDbConnectionException
TDbException
TErrorHandler
TException
THttpException
TInvalidDataTypeException
TInvalidDataValueException
TInvalidOperationException
TIOException
TNotSupportedException
TPhpErrorException
TSystemException
TTemplateException

Keyword

# Class TInvalidDataValueException

    Exception
       |
       --TException
          |
          --TSystemException
             |
             --TInvalidDataValueException

TInvalidDataValueException class

TInvalidDataValueException represents an exception caused by invalid data value.

Since: 3.0
Author: Qiang Xue <qiang.xue@gmail.com>

Method Summary

Methods Inherited From TException
TException::getErrorCode(), TException::getErrorMessage(), TException::getErrorMessageFile(), TException::setErrorCode(), TException::setErrorMessage(), TException::translateErrorMessage()